Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AspectDefinition

    java.lang.Object
      org.jboss.aop.advice.AspectDefinition

public class AspectDefinition
extends Object

Contains definition of aspect or interceptor Scope defaults to PER_VM if it is null.

Version:
  $Revision: 1.13 $
Author:
  Bill Burke

Field Summary
`protected boolean` | `deployed`
`protected AspectFactory` | `factory`
`protected String` | `name`
`protected Scope` | `scope`

Constructor Summary
`AspectDefinition()`
`AspectDefinition(String name, Scope scope, AspectFactory factory)`

Method Summary
`boolean` | `equals(Object obj)`
`AspectFactory` | `getFactory()`
`String` | `getName()`
`Scope` | `getScope()`
`int` | `hashCode()`
`boolean` | `isDeployed()`
`void` | `setFactory(AspectFactory factory)`
`void` | `setName(String name)`
`void` | `setScope(Scope scope)`
`void` | `undeploy()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### scope

    protected Scope scope

### factory

    protected AspectFactory factory

### deployed

    protected boolean deployed

Constructor Detail

### AspectDefinition

    public AspectDefinition(String name,
                            Scope scope,
                            AspectFactory factory)

Parameters:
  `name` -
  `scope` - defaults to PER_VM if null
  `factory` -

### AspectDefinition

    public AspectDefinition()

Method Detail

### undeploy

    public void undeploy()

### isDeployed

    public boolean isDeployed()

### setName

    public void setName(String name)

### setScope

    public void setScope(Scope scope)

### setFactory

    public void setFactory(AspectFactory factory)

### getFactory

    public AspectFactory getFactory()

### getName

    public String getName()

### getScope

    public Scope getScope()

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.